Jump to content
Guilherme Cerne

Livery installer won't detect my Prepar v4.5

Recommended Posts

Guilherme Cerne

Hello all!

I've just downloaded the new Fslabs update, and now I'am trying to install one of the default liveries to test the new PBR model. But I'm getting this while trying to install it. Both opitions are greyed out.

I've just unistalled and reinstalled both A320 and A319, and no luck.

Does anyone know what's going on?

Screenshot_1.png

Share this post


Link to post
Aaqib Afzal

having the same issue on my end too

image.thumb.png.dcca88c0b24261e3d8b5713c54f879b3.png

Share this post


Link to post
Robert Sutherland

Do you all have the latest version of P3D v4.5 installed? HF3 I think? 

You might need to update to that, if not. I believe the FSLabs planes are always released to support the newest version of the sim. 

Share this post


Link to post
Aaqib Afzal
10 minutes ago, Robert Sutherland said:

Do you all have the latest version of P3D v4.5 installed? HF3 I think? 

You might need to update to that, if not. I believe the FSLabs planes are always released to support the newest version of the sim. 

Im already on P3D 4.5 HF3, yet facing the above issue

Share this post


Link to post
Eric Fisher
17 minutes ago, Robert Sutherland said:

Do you all have the latest version of P3D v4.5 installed? HF3 I think? 

You might need to update to that, if not. I believe the FSLabs planes are always released to support the newest version of the sim. 

One of the dev's said another thread it works in v4.5 HF2 so that can't be it.

Share this post


Link to post
James McEvoy

Hi everyone, I've got this issue too. Interestingly the A319 isn't loading at all for me now even though it's not been updated. Don't know whether these two things are linked though.

Share this post


Link to post
Guilherme Cerne
46 minutes ago, Robert Sutherland said:

Do you all have the latest version of P3D v4.5 installed? HF3 I think? 

You might need to update to that, if not. I believe the FSLabs planes are always released to support the newest version of the sim. 

I've just updated my Client to version 4.5.14.34698 (previously 4.5.12.30293), and now it worked!

  • Like 1

Share this post


Link to post
James McEvoy
2 minutes ago, Guilherme Cerne said:

I've just updated my Client to version 4.5.14.34698 (previously 4.5.12.30293), and now it worked!

Forgive my ignorance, how do you do that?

 

Share this post


Link to post
Guilherme Cerne
5 minutes ago, James McEvoy said:

Forgive my ignorance, how do you do that?

 

Simply unistall the client, then download the lastest version (of the client only) from their website. Install it and I recommend you restart your PC. You're good to go!

Share this post


Link to post
James McEvoy
1 hour ago, Guilherme Cerne said:

Simply unistall the client, then download the lastest version (of the client only) from their website. Install it and I recommend you restart your PC. You're good to go!

Thanks Guilherme! I've managed to do that and have managed to install the livery successfully but it doesn't appear under change vehicle on P3D

 

Share this post


Link to post
Rafal Haczek
3 hours ago, Eric Fisher said:

does this mean the livery installer does not work with v4.5HF2?

It does. I have installed a few of the latest A320 liveries marked as version 5.0 and I am on P3D 4.5.2.

Share this post


Link to post
Aaqib Afzal

Im on the latest HF3 for 4.5 meaning im also running the latest client version, this still doesnt install

Share this post


Link to post
Aaqib Afzal

Ok it works now, i uninstalled and reinstalled the same existing client version which is for HF3 and now the textures can be installed and it works fine

Share this post


Link to post
Lefteris Kalamaras
7 hours ago, Eric Fisher said:

So @Lefteris Kalamaras or @Andrew Wilson  or @Markus Burkhard does this mean the livery installer does not work with v4.5HF2? Only v4.5HF3? This is not good if so.

First of all-

I just checked, the livery installers all check for HF2 (v4.5.13.32097).

However, I am not sure why "this is not good if so" - what is so bad about HF3 that makes you need to stay with HF2? We should all be on latest anyway.

Share this post


Link to post
Danny Moore

I can’t answer for Eric but many of us remain on P3Dv4.5HF2 due to stability. When HF3 came out their were initial reports of performance drops and a few CTD. Looking at the change log many of us decided there wasn’t enough changes to require us updating when we have such success with HF2.

 

Now that you guys update the A320 to the latest v4/5 version we no longer have access to the version that was updated for HF3. Thank for all the hard work you did with the latest release but I’m going to hold off updating due to the lack of liveries, especially US airlines, reported landing light issues and exterior performance drops. I know more liveries will release in a few weeks and you guys are investigating some of the reported issues.

 

Myself, I’m seeing reports that v5 changes can cause negative effects for v4 users, especially when it comes to DL, PBR, etc. P3Dv5 in all its glory is still buggy for many and AS is also just as buggy.

 

I get great performance in the FSLabs on 4.5HF2 running at 4K@30hz. As much as I would love the new features, it’s not worth the move just yet based of some of the reported issues and liveries that will come later.

 

 

Sent from my iPhone using Tapatalk

  • Like 2

Share this post


Link to post
Dan Parkin

I ran v4 and v5 in parallel for a couple of a couple of weeks with no issues. Since we got our hands on the beta of the FSL I've been running v5 only and have to say it runs beautifully (with well managed vRAM). There is a lot of mis-information floating around about v5.

Share this post


Link to post
James McEvoy
12 hours ago, James McEvoy said:

Thanks Guilherme! I've managed to do that and have managed to install the livery successfully but it doesn't appear under change vehicle on P3D

 

Has anyone else experienced this?

I've just checked the A321 as well and even though I've not tampered with it (I haven't reinstalled it as I did with the A319), I'm unable to load the aircraft at all. I get an immediate CTD when P3D starts to load. The A321 liveries are listed on P3D (because I've not reinstalled it) but the A319 and A320 liveries aren't listed at all. So I've got a fully functioning A319, A320 and just not with any airlines whilst my A321 has gone tech!

Share this post


Link to post
Eric Fisher
2 hours ago, Lefteris Kalamaras said:

First of all-

I just checked, the livery installers all check for HF2 (v4.5.13.32097).

However, I am not sure why "this is not good if so" - what is so bad about HF3 that makes you need to stay with HF2? We should all be on latest anyway.

I understand there is some interaction problems with some other addons and HF3.

Share this post


Link to post
Norman Blackburn

This morning I rolled back to HF2.  Like Dan I have had the two running in tandem without issue.

I chose a number of liveries at random and they installed perfectly fine in both 4.5.13 and 5.0.31

I have since returned back to 4.5.14 (HF3)

Share this post


Link to post
James McEvoy
1 minute ago, Norman Blackburn said:

This morning I rolled back to HF2.  Like Dan I have had the two running in tandem without issue.

I chose a number of liveries at random and they installed perfectly fine in both 4.5.13 and 5.0.31

I have since returned back to 4.5.14 (HF3)

Interesting. Do you have any suggestions for something I could try?

Share this post


Link to post
Dan Parkin
31 minutes ago, James McEvoy said:

I've just checked the A321 as well and even though I've not tampered with it (I haven't reinstalled it as I did with the A319), I'm unable to load the aircraft at all.

@James McEvoy,

Can I just clarify that statement? You have updated the A320 and A319 to v100 but not the A321.

If so the A321 won't work as it's now a mismatched version. You need to update all three or none.

Share this post


Link to post
James McEvoy

Hi @Dan Parkin, okay that makes sense. I didn't realise the A319 and A321 had actually been changed, somehow that's passed me by! I'll reinstall the A321 later.

Do you have any ideas why the liveries won't work? Just to clarify, I can install them as normal for the A320 but they don't appear under 'change vehicle' on P3D. With the A319, I can't install them at all. The installer says that the livery is only compatible with version 2.0..... or higher, even though I've got 4.0.1.100 installed.

Share this post


Link to post
Dan Parkin

I'd just check you're definitely downloading the correct liveries, they've all changed for v4 as well as being new for v5.

Share this post


Link to post
ioannisk_a_r_a_m_i_t_r_o_s

Same here! P3d V4.5HF3 (client)

FSLabsA320 v5 liveries can be installed via installer correctly.

FSLAbsA319-A321 liveries installer does not recognize P3d version ! These liveries (a319-a321) are from February or older!

 

Share this post


Link to post
James McEvoy

@Dan Parkin

Yeah I've just checked and I'm definitely trying to download the correct versions. A320 is working fine, just the A319 and A321 which aren't

Share this post


Link to post
James McEvoy

I've just realised that I now can't get any further A320 liveries to install either. I've just tried to install the two easyJet A320s by Vasilis and they don't appear under select vehicle. I managed to install the two British Airways A320s by Vasilis before reinstalling the A319 and A321, so it seems that something in one of those installations is causing an issue with the A320, as well as not working properly themselves 

Share this post


Link to post
Dan Parkin

This is the link for one of the current A320 liveries - 

You should end up with the relevant files in Documents\Prepar3D (v5) Add-ons\FSLabs\SimObjects\Airplanes\FSLabs A320 CFM

And an entry in Documents\Prepar3D v5 Add-ons\FSLabs\SimObjects\Airplanes\FSLabs A320 CFM\Airframe Configs\installed.ini (once you've loaded it in the sim).

Share this post


Link to post
James McEvoy

Hi Dan, I don't seem to have that first folder. I've got it for IAE but not CFM. Do you know where else the installer might put the files?

Share this post


Link to post
JIM DESAI

i have p3d v4.5 and need british airways livery for a320 please help need to install soon urgent

Share this post


Link to post
FERAS ALLOUSH

same here ! but only for the A321,A319

Share this post


Link to post
Dan Parkin

Morning @James McEvoy,

You don't have "Documents\Prepar3D (v5) Add-ons\FSLabs\SimObjects\Airplanes\FSLabs A320 CFM" at all? (That's my v5 install obviously). That's the default install location so unless you're asking the installer to install at a different location then the A320 hasn't installed properly. Uninstall everything FSL through Control Panel - Programs and features reboot your machine and then install the A320.

Share this post


Link to post
Norman Blackburn
5 hours ago, JIM DESAI said:

i have p3d v4.5 and need british airways livery for a320 please help need to install soon urgent

There are several - both by FSLabs and by painters available under v5. 

Share this post


Link to post

×
×
  • Create New...